﻿using HighWayIot.Repository.domain;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HighWayIot.Repository.service
{
    public interface IHeartbeatService
    {

        /// <summary>
        /// 获取RFID心跳状态列表
        /// </summary>
        /// <returns></returns>
        List<RFIDHeartbeat> GetHeartbeatInfos();

        /// <summary>
        /// 新增一条心跳
        /// </summary>
        /// <param name="content"></param>
        void AddHeartbeatInfo(RFIDHeartbeat heartbeat);

        /// <summary>
        /// 更新对应ID的心跳
        /// </summary>
        /// <param name="deviceno"></param>
        /// <returns>影响的行数</returns>
        int UpdateHeartbeatInfo(int deviceno);

    }
}
